INVERT(9)

NAME

invert - Compute the inverse of the input signal

SYNOPSIS
The output will be the mathematical inverse of the input, ie out = 1/in. The parameter deadband can be used to control how close to 0 the denominator can be before the output is clamped to 0. deadband must be at least 1e-8, and must be positive.

FUNCTIONS

invert.N (requires a floating-point thread)

PINS

invert.N.in float in
    Analog input value

invert.N.out float out
    Analog output value

PARAMETERS

invert.N.deadband float rw
    The out will be zero if in is between -deadband and +deadband.

SEE ALSO

 invert(9), div2(9)

AUTHOR

Stephen Wille Padnos

LICENSE

GPL